Bug 127068 - HP Network Storage Router NS E1200-160 needs FORCELUN
Summary: HP Network Storage Router NS E1200-160 needs FORCELUN
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL: http://welcome.hp.com/country/us/en/p...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-01 13:51 UTC by Karl Vogel
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 04:31:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Scsi scan patch (627 bytes, patch)
2004-07-01 13:52 UTC, Karl Vogel
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:433 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 3 Update 3 2004-09-02 04:00:00 UTC

Description Karl Vogel 2004-07-01 13:51:24 UTC
Description of problem:

We have an HP MSL5000 tape library which is connected to our SAN
network. The kernel only sees LUN 0 on this device, which is the
Network Storage Router (ie. the SAN connection). The actual MSL5000
Media Changer and Tape streamers are on LUN 1 and higher.

Attached patch put's the NSR into the device_list of scsi_scan so that
the additional LUNs are also scanned.

Without this patch:

$ cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: HP       Model: NS E1200-160     Rev: 0104
  Type:   Unknown                          ANSI SCSI revision: 04

With the patch applied:

$ cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: HP       Model: NS E1200-160     Rev: 0104
  Type:   Unknown                          ANSI SCSI revision: 04
Host: scsi0 Channel: 00 Id: 00 Lun: 01
  Vendor: COMPAQ   Model: MSL5000 Series   Rev: 0414
  Type:   Medium Changer                   ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 00 Lun: 02
  Vendor: COMPAQ   Model: SDLT320          Rev: 3434
  Type:   Sequential-Access                ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 00 Lun: 03
  Vendor: COMPAQ   Model: SDLT320          Rev: 3434
  Type:   Sequential-Access                ANSI SCSI revision: 02

Comment 1 Karl Vogel 2004-07-01 13:52:32 UTC
Created attachment 101562 [details]
Scsi scan patch

Comment 2 Karl Vogel 2004-07-01 14:32:07 UTC
I've put the following in my /etc/rc.d/rc.local file:

echo "scsi add-single-device 0 0 0 1" >/proc/scsi/scsi
echo "scsi add-single-device 0 0 0 2" >/proc/scsi/scsi
echo "scsi add-single-device 0 0 0 3" >/proc/scsi/scsi

which resolves the issue without having to patch up my kernel.


Comment 3 Ernie Petrides 2004-07-02 21:57:04 UTC
The patch in comment #1 has just been committed to the RHEL3 U3
patch pool this afternoon (in kernel version 2.4.21-15.19.EL).


Comment 4 John Flanagan 2004-09-02 04:31:53 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-433.html



Note You need to log in before you can comment on or make changes to this bug.